# Copyright (C) 2018  Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

libdata_DATA = %reldir%/libopkbuild.$(SHSOEXT).$(libopkbuild_shsoversion)
libopkbuild_sources = \
	%reldir%/common.sh \
	%reldir%/locale.sh \
	%reldir%/output.sh \
	%reldir%/package.sh \
	%reldir%/metadata.sh \
	%reldir%/control.sh \
	%reldir%/changelog.sh \
	%reldir%/deps.sh \
	%reldir%/time.sh
EXTRA_libopkbuild_sources =
libopkbuild_ldadd = $(libopkbuild_sources:.sh=.sho)
libopkbuild_dependencies = $(libopkbuild_ldadd)
libopkbuild_shsoversion = 2

CLEANFILES += \
	$(libdata_DATA) \
	$(libopkbuild_ldadd)
extra_sources += \
	$(libopkbuild_sources) \
	$(EXTRA_libopkbuild_sources)
EXTRA_DIST += \
	$(libopkbuild_sources) \
	$(EXTRA_libopkbuild_sources)

%reldir%/libopkbuild.$(SHSOEXT).$(libopkbuild_shsoversion): \
	$(libopkbuild_dependencies)
	@rm -f %reldir%/libopkbuild.$(SHSOEXT).$(libopkbuild_shsoversion)
	$(AM_V_CCLD)$(LIBLINK) $(libopkbuild_ldadd)

include %reldir%/package/local.mk
include %reldir%/metadata/local.mk
